=== debian/control ===
Source: ocamlscript
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 camlp4-extra,
 ocaml-native-compilers,
 ocaml-findlib

Package: ocamlscript
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCamlscript is a tool which compiles OCaml scripts into native code, thus combining mthe flexibility of scripts and the speed provided by ocamlopt.
 OCamlscript is a tool which compiles OCaml scripts into native code,
 thus combining mthe flexibility of scripts and the speed provided by
 ocamlopt.
